Reference
Automation runs
List All Runs
Query Parameters
status?|
limit?integer
Default
100Range
value <= 1000offset?integer
Default
0Range
0 <= valueHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/automation-runs"{
"items": [
{
"automationId": "string",
"automationVersionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"durationSeconds": 0,
"error": {},
"externalJobId": "string",
"id": "string",
"orchestratorType": "local",
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"tenantId": "string",
"triggerSourceId": "string",
"triggerSourceType": "user",
"triggerType": "manual",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/automation-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"automationId": "string",
"automationVersionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"durationSeconds": 0,
"error": {},
"externalJobId": "string",
"id": "string",
"orchestratorType": "local",
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"tenantId": "string",
"triggerSourceId": "string",
"triggerSourceType": "user",
"triggerType": "manual",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Cancel Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/automation-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel"{
"automationId": "string",
"automationVersionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"durationSeconds": 0,
"error": {},
"externalJobId": "string",
"id": "string",
"orchestratorType": "local",
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"tenantId": "string",
"triggerSourceId": "string",
"triggerSourceType": "user",
"triggerType": "manual",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Stream Run Events
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/automation-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/events"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Retry Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
mode?string
Default
"from_failed"Value in
"from_failed" | "from_step" | "full"stepKey?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/automation-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/retry" \ -H "Content-Type: application/json" \ -d '{}'{
"automationId": "string",
"automationVersionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"durationSeconds": 0,
"error": {},
"externalJobId": "string",
"id": "string",
"orchestratorType": "local",
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"tenantId": "string",
"triggerSourceId": "string",
"triggerSourceType": "user",
"triggerType": "manual",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Run Steps
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/automation-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/steps"{
"automationRunId": "string",
"completedCount": 0,
"failedCount": 0,
"pendingCount": 0,
"runningCount": 0,
"steps": [
{
"actionRunId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"decisionId": "string",
"dependsOn": [
"string"
],
"durationSeconds": 0,
"error": {},
"key": "string",
"name": "string",
"result": {},
"resultTruncated": false,
"startedAt": "2019-08-24T14:15:22Z",
"status": "string"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}